List campaigns
curl --request GET \
--url https://studio.x402layer.cc/api/campaignsimport requests
url = "https://studio.x402layer.cc/api/campaigns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://studio.x402layer.cc/api/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"images": [
"<string>"
],
"target_amount": 123,
"raised_amount": 123,
"token_ticker": "<string>",
"fee_option": "supporters",
"status": "active",
"chain": "solana",
"deadline": "2023-11-07T05:31:56Z",
"contributor_count": 123,
"category": "<string>",
"subcategory": "<string>",
"page_url": "<string>",
"api_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
},
"agent": {
"description": "<string>",
"protocol": "x402",
"currency": "USDC",
"list_url": "<string>",
"detail_url_pattern": "https://studio.x402layer.cc/api/campaigns/{slug}",
"campaign_page_pattern": "https://studio.x402layer.cc/fundraisers/{slug}",
"supports_pagination": true,
"supports_category_filter": true,
"active_count": 123
}
}Fundraiser Campaigns
List campaigns
Returns all publicly visible fundraiser campaigns with pagination and an agent metadata block for programmatic discovery.
GET
/
api
/
campaigns
List campaigns
Query Parameters
Page size
Required range:
x <= 200Pagination offset
Filter by category
Available options:
medical, emergency, education, community, creative, tech, business, personal, other Filter by status
Available options:
active, funded, launched, expired Was this page helpful?
⌘I
